Subject: compiling CLISP on SUN Sparc multiprocessor

From: [email-masked] (Michael Wise)
Date: Tue, 8 Feb 1994 10:59:02 +1100

We are slowly porting stuff over to our newly arrived SUN SPARCserver 1000
running Solaris 2.3. The compiler is gcc 2.5.7 . It seemed to be doing
well until it got to the following:

gcc -O -E -w arisparc.c | grep -v '^#' > arisparc.s
gcc -O -pipe -W -Wswitch -Wcomment -Wpointer-arith -Wimplicit -Wreturn-type -fom
it-frame-pointer -O2 -DUNIX_BINARY_DISTRIB -c arisparc.s
/usr/ccs/bin/as: "arisparc.s", line 99: error: unknown opcode "wry"
/usr/ccs/bin/as: "arisparc.s", line 99: error: statement syntax
/usr/ccs/bin/as: "arisparc.s", line 104: error: unknown opcode "orl"
/usr/ccs/bin/as: "arisparc.s", line 104: error: statement syntax

It then appeared to hang. Changin O2 to O has not appeared to help.

Any suggestions?

Cheers
MichaelW